Update Connection
Updates a connection's configuration.
Authentication
AuthorizationBasic
This is the Polytomic deployment key (on-premises only)
OR
AuthorizationBearer
This is the Polytomic API key
Path parameters
id
Connection ID
Headers
X-Polytomic-Version
Request
This endpoint expects an object.
configuration
name
healthcheck_interval
Override interval for connection health checking
organization_id
Ignored for user and organization-scoped API keys, which always act in their own organization
policies
Permissions policy IDs applied to the connection. A non-empty list replaces the connection’s policies and an empty or omitted list leaves them unchanged.
reconnect
validate
Validate connection configuration.
typeDeprecated
Ignored. A connection's type is fixed at creation.
Response
OK
data
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
500
Internal Server Error
